Bug 41912 - /usr/cyrus/bin/deliver-wrapper is cyrus writable
Summary: /usr/cyrus/bin/deliver-wrapper is cyrus writable
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: cyrus-imapd   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-22 20:49 UTC by Jarno Huuskonen
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-12 11:12:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jarno Huuskonen 2001-05-22 20:49:28 UTC
Description of Problem:
(rawhide powertools cyrus-imapd-2.0.9-3)
cyrus:mail owns /usr/cyrus/bin/deliver-wrapper (and the
program is setgid). Why is the program owned(writable) by cyrus ? If
somebody can get user cyrus permissions they can modify the program -->
possibility to gain more privileges.

(I haven't fully investigated the issue and apologize if this is a non
issue).

Comment 1 Mark J. Cox 2003-02-12 11:12:42 UTC
Closing, Power Tools no longer supported.


Note You need to log in before you can comment on or make changes to this bug.